aboutsummaryrefslogtreecommitdiffstats
path: root/testing/apache2-mod-wsgi/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2015-04-22 13:47:47 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2015-04-22 13:48:33 +0200
commit8bf03a1113ba09b48f82919737e9de7c198e231c (patch)
tree3ba794d72e3635575c87857c8adfe02ac92af90d /testing/apache2-mod-wsgi/APKBUILD
parent30044b0f9d2d9c5f6e24277dd3b775e4c73ecc9a (diff)
downloadaports-8bf03a1113ba09b48f82919737e9de7c198e231c.tar.gz
aports-8bf03a1113ba09b48f82919737e9de7c198e231c.tar.bz2
aports-8bf03a1113ba09b48f82919737e9de7c198e231c.tar.xz
testing/apache2-mod-wsgi: upgrade to 4.4.11
Diffstat (limited to 'testing/apache2-mod-wsgi/APKBUILD')
-rw-r--r--testing/apache2-mod-wsgi/APKBUILD32
1 files changed, 10 insertions, 22 deletions
diff --git a/testing/apache2-mod-wsgi/APKBUILD b/testing/apache2-mod-wsgi/APKBUILD
index 3c3ffed89c..39e2babcce 100644
--- a/testing/apache2-mod-wsgi/APKBUILD
+++ b/testing/apache2-mod-wsgi/APKBUILD
@@ -2,8 +2,8 @@
# Maintainer: Matt Smith <mcs@darkregion.net>
pkgname=apache2-mod-wsgi
_realname=mod_wsgi
-pkgver=3.4
-pkgrel=1
+pkgver=4.4.11
+pkgrel=0
pkgdesc="Python WSGI Module for Apache2"
url="http://code.google.com/p/modwsgi/"
arch="all"
@@ -11,11 +11,10 @@ license="ASL 2.0"
depends="apache2 python"
depends_dev=
makedepends="$depends_dev apache2-dev python-dev"
-install="$pkgname.post-install"
+install=""
subpackages="$pkgname-doc"
-source="http://modwsgi.googlecode.com/files/$_realname-$pkgver.tar.gz
- $pkgname.apache2.conf
- "
+source="$pkgname-$pkgver.tar.gz::https://github.com/GrahamDumpleton/mod_wsgi/archive/$pkgver.tar.gz
+ $pkgname.apache2.conf"
_builddir="$srcdir"/$_realname-$pkgver
build() {
@@ -30,26 +29,15 @@ build() {
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
-
- # install the apache2 config
install -Dm644 "$srcdir"/$pkgname.apache2.conf \
"$pkgdir"/etc/apache2/conf.d/wsgi-module.conf || return 1
+ install -Dm644 LICENSE \
+ "$pkgdir"/usr/share/doc/$pkgname/LICENSE || return 1
}
-doc() {
- arch="noarch"
-
- # doc files
- _docs="LICENCE README"
- for _doc in $_docs; do
- install -Dm644 "$_builddir"/$_doc \
- "$subpkgdir"/usr/share/doc/$pkgname/$_doc || return 1
- done
-}
-
-md5sums="f42d69190ea0c337ef259cbe8d94d985 mod_wsgi-3.4.tar.gz
+md5sums="5d2744cf3f5018b98116af68560c6df5 apache2-mod-wsgi-4.4.11.tar.gz
e1795e051e7aae1f865fde0d3b86a507 apache2-mod-wsgi.apache2.conf"
-sha256sums="ae85c98e9e146840ab3c3e4490e6774f9bef0f99b9f679fca786b2adb5b4b6e8 mod_wsgi-3.4.tar.gz
+sha256sums="e1d6b95f696af49a334419b60e1271872f8d446027acc481ef5c9c912cbb0328 apache2-mod-wsgi-4.4.11.tar.gz
8196a509f90fa10b9464d1c58f4a13d558259e863ccc2761ee1e2c2fcd323f45 apache2-mod-wsgi.apache2.conf"
-sha512sums="55b5a4fc4553f4a41fa064062c9f15800c493ff50397399ef053398920333b92290118fd920d1179d153b8602ec169c3919bec51f8f7f9f28223580dd01c472c mod_wsgi-3.4.tar.gz
+sha512sums="e264357482ccc13ee4afc2685422b408e82fb8c1caafdb7d606ef5eaf42653861ba0e828370a31ffb5f81358f293a325dc9640ea9bb02548df385a9e27fa605a apache2-mod-wsgi-4.4.11.tar.gz
5b36a458bd3539e58ea61ec405c4f5c5e0001a644263b0e1f8421a5c7fc7884b6df1355674a9d9b610780b5e9db6ce66d0ae1bbc0e512ecb027c3757209152c8 apache2-mod-wsgi.apache2.conf"